jQuery(document).ready(function ($) {
    'use strict';
    customize_init();
    function customize_init() {
        let submenu = [
            'thank_you_message',
            'order_confirmation',
            'order_details',
            'customer_information',
            'coupon',
            'social_icons',
            'google_map',
            'bing_map',
            'order_again',
        ],select_template = woocommerce_thank_you_page_custom_control_params.select_template;
        $.each(submenu, function (k, v) {
            wp.customize.section('woo_thank_you_page_design_' + v, function (section) {
                section.expanded.bind(function (isExpanded) {
                    if (isExpanded) {
                        wp.customize.previewer.send('wtyp_focus_on_editing_item', 'woocommerce-thank-you-page-' + v + '__container');
                    }
                })
            });
        });
        $(document).on('click','.customize-section-back', function () {
            let id = $(this).parent().parent().parent().prop('id').replace('sub-accordion-section-woo_thank_you_page_design_', '');
            if (submenu.indexOf(id) > -1) {
                wp.customize.section('woo_thank_you_page_design_general').expanded(true);
            }
        });
        $(document).on('click', '.woocommerce-thank-you-page-available-shortcodes-shortcut', function () {
            wp.customize.previewer.send('wtyp_shortcut_to_available_shortcodes', 'show');
        });
        $(document).on('click', '.woocommerce-thank-you-page-container__block .woocommerce-thank-you-page-edit', function (event) {
            event.stopPropagation();
            let parent = $(this).parent();
            let item = parent.data()['block_item'];
            console.log('js edit')
            if (item === 'text_editor' || item === 'products') {
                let position = $('.woocommerce-thank-you-page-container__block .woocommerce-thank-you-page-' + item).index(parent);
                wp.customize.previewer.send('wtyp_shortcut_edit_' + item + '_from_section', position);
            } else {
                console.log(item)
                wp.customize.previewer.send('wtyp_shortcut_edit_item_from_section', 'woocommerce-thank-you-page-edit-item-shortcut[data-edit_section="' + item + '"]');
            }
        });
        $(document).on('click', '.wtyp-button-update-changes-google-map', function () {
            let address = wp.customize('woo_thank_you_page_params[' + select_template + '][google_map_address' + ($(this).data('language') || '') + ']').get();
            wp.customize.previewer.send('wtyp_update_google_map_address', address);
        });
        $(document).on('click', '.wtyp-button-update-changes-bing-map', function () {
            let address = wp.customize('woo_thank_you_page_params[' + select_template + '][bing_map_address' + ($(this).data('language') || '') + ']').get();
            wp.customize.previewer.send('wtyp_update_bing_map_address', address);
        });

        wp.customize.previewer.bind('wtyp_update_url', function (url) {
            wp.customize.previewer.previewUrl.set(url);
        });
        wp.customize.previewer.bind('wtyp_get_url', function (order_id, select_template) {
            wp.customize.previewer.send('wtyp_get_url', order_id, select_template);
        });
        wp.customize.previewer.bind('wtyp_shortcut_edit', function (section) {
            wp.customize.section('woo_thank_you_page_design_' + section).expanded(true);
        });
        wp.customize.previewer.bind('wtyp_handle_overlay_processing', function (message) {
            if (message === 'show') {
                $('.woocommerce-thank-you-page-control-processing').show();
            } else {
                $('.woocommerce-thank-you-page-control-processing').hide();
            }
        });
        wp.customize.previewer.bind('wtyp_update_products', function (message) {
            wp.customize('woo_thank_you_page_params[' + select_template + '][products]').set(message);
        });
        wp.customize.previewer.bind('wtyp_open_latest_added_item', function (message) {
            $('.woocommerce-thank-you-page-latest-item').find('.woocommerce-thank-you-page-edit').trigger('click');
            $('.woocommerce-thank-you-page-item').removeClass('woocommerce-thank-you-page-latest-item');
        });
        wp.customize.previewer.bind('wtyp_update_text_editor', function (message) {
            wp.customize('woo_thank_you_page_params[' + select_template + '][text_editor]').set(message);
        });
        wp.customize.previewer.bind('wtyp_update_bing_map_address', function (address) {
            wp.customize.previewer.send('wtyp_update_bing_map_address', address);
        });
        wp.customize.section('woo_thank_you_page_design_general', function (section) {
            section.expanded.bind(function (isExpanded) {
                if (isExpanded) {
                    if ($('select[id="_customize-input-woo_thank_you_page_params[select_order]"]') !== wp.customize('woo_thank_you_page_params[select_order]').get()) {
                        wp.customize('woo_thank_you_page_params[select_order]').set($('select[id="_customize-input-woo_thank_you_page_params[select_order]"]').find('option').eq(0).val())
                    }
                    wp.customize.previewer.send('wtyp_get_url', '');
                }
            });
        });
    }

});