<?php
/**
 * Plugin Name: WooCommerce Thank You Page Customizer Premium
 * Plugin URI: https://villatheme.com/extensions/woocommerce-thank-you-page-customizer
 * Description: Craft a stunning thank you page effortlessly with our user-friendly customization tools, offer coupons to customers after purchase.
 * Version: 1.2.6
 * Author: VillaTheme
 * Author URI: https://villatheme.com
 * Text Domain: woocommerce-thank-you-page-customizer
 * Domain Path: /languages
 * Copyright 2018-2025 VillaTheme.com. All rights reserved.
 * Requires PHP: 7.0
 * Requires at least: 5.0
 * Tested up to: 6.7
 * WC requires at least: 7.0
 * WC tested up to: 9.7
 * Requires Plugins: woocommerce
 *
 **/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
define( 'VI_WOOCOMMERCE_THANK_YOU_PAGE_VERSION', '1.2.6' );
/**
 * Detect plugin. For use on Front End only.
 */
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if ( is_plugin_active( 'woocommerce/woocommerce.php' ) ) {
	$init_file = WP_PLUGIN_DIR . DIRECTORY_SEPARATOR . "woocommerce-thank-you-page-customizer" . DIRECTORY_SEPARATOR . "includes" . DIRECTORY_SEPARATOR . "define.php";
	require_once $init_file;
}

/**
 * Class WOOCOMMERCE_THANK_YOU_PAGE_CUSTOMIZER
 */
class WOOCOMMERCE_THANK_YOU_PAGE_CUSTOMIZER {
	public function __construct() {
		//compatible with 'High-Performance order storage (COT)'
		add_action( 'before_woocommerce_init', function () {
			if ( class_exists( '\Automattic\WooCommerce\Utilities\FeaturesUtil' ) ) {
				\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'custom_order_tables', __FILE__, true );
				\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'cart_checkout_blocks', __FILE__, true );
			}
		} );
		add_action( 'plugins_loaded', function () {
			if ( ! class_exists( 'VillaTheme_Require_Environment' ) ) {
				include_once WP_PLUGIN_DIR . DIRECTORY_SEPARATOR . "woo-thank-you-page-customizer" . DIRECTORY_SEPARATOR . "includes" . DIRECTORY_SEPARATOR . 'support.php';
			}

			$environment = new \VillaTheme_Require_Environment( [
					'plugin_name'     => 'WooCommerce Thank You Page Customizer Premium',
					'php_version'     => '7.0',
					'wp_version'      => '5.0',
					'require_plugins' => [
						[
							'slug' => 'woocommerce',
							'name' => 'WooCommerce',
							'defined_version' => 'WC_VERSION',
							'version' => '7.0'
						],
					]
				]
			);

			if ( $environment->has_error() ) {
				return;
			}
		} );
	}


}

new WOOCOMMERCE_THANK_YOU_PAGE_CUSTOMIZER();